import { Done } from '../../../../../Class/Functional/Done';
import { Graph } from '../../../../../Class/Graph';
import { Semifunctional } from '../../../../../Class/Semifunctional';
import { System } from '../../../../../system';
export interface I {
    graph: Graph;
    answer: string;
    opt: RTCConfiguration;
}
export interface O {
    offer: string;
}
export default class PeerShareGraph extends Semifunctional<I, O> {
    __: string[];
    private _connected;
    private _peer;
    private _ref;
    constructor(system: System);
    private _disconnect;
    private _close;
    private _send;
    private _send_init;
    private _send_exec;
    private _send_terminate;
    f({ graph, opt }: I, done: Done<O>): void;
    d(): void;
    onIterDataInputData(name: string, data: any): Promise<void>;
    onIterDataInputDrop(name: string): Promise<void>;
}
